Subject: Re: Topology

From: Tom-PT Taylor <[email-masked]>
Date: Mon, 23 Aug 1999 09:24:07 -0500

I'm not sure I see the need for this.  It is already specified by the
activity parameter in LocalControl.

> -----Original Message-----
> From: Brian Rosen [SMTP:[email-masked]]
> Sent: Saturday, August 21, 1999 10:41 PM
> To:   [email-masked]
> Subject:      Topology
>
> In the Berlin draft, a concept called "topology" was introduced.
> This provides a pairwise control of flow (isolate, one way, both way) to
> the
> terminations in a conference.  This item has not received any discussion
> on
> the list.
>
> Assuming it is acceptable, I have an issue with syntax.  As defined,
> it is a "parameter" to an action.  Right now, the only parameters to an
> action are commands.  We can make it a command, although it requires a
> pair of terminationIDs, which makes it weird.
>
> I'm soliciting ideas of how to do this.  Here are some thoughts:
> ;command, with termid, extra termid as a parameter
> Context=123 {Add=termA{...},Topology=termA{termB,oneway}}
> ;command, but no=termid
> Context=123 {Add=termA{...},Topology{termA,termB,oneway}}
> ;separate syntatic thingy
> Context=123 {Add=termA{...}},{Topology=termA,termB, oneway}
> ;or
> Context=123 {Add=termA{...}},{Topology(termA,termB, oneway}}
> ;or
> Context=123 {Add=termA{...}}{Topology=termA,termB, oneway}
>
> Brian

---

From: John Segers <[email-masked]>
Date: Mon, 23 Aug 1999 18:14:17 +0200

Tom,

There is a difference between what can be done with the activity
parameter/termination state and the Context topology.  The Context
topology allows one to specify which Termination receives media from
which other Termination.  So things like selective muting are possible.
Applications that are supported by this include one-way legal intercept
and an operator who can be heard by one person in the call (e.g. the
conference chair or the person being billed for the call).

John

--
John Segers                                  email: [email-masked]
Lucent Technologies                                        Room HE 344
Dept. Forward Looking Work                      phone: +31 35 687 4724
P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954